Skip to main content

Get container codenow triggers

GET 

/containers/:containerId/triggers

Get container codenow triggers

Request

Path Parameters

    containerId stringrequired

    Possible values: non-empty

Header Parameters

    X-Codenow-Api-Key anyrequired

    CodeNOW API Key

Responses

Container triggers response

Schema

    present booleanrequired


    A boolean flag indicating whether the configuration file .codenow.triggers.yaml containing the trigger configuration exists in this container's repository.
    If set to false, no triggers have been defined yet.

    triggers

    object[]

    required


    A list of objects representing all triggers currently defined for this container.

  • Array [

  • event stringnullable


    The event that will activate this trigger on every occurrence. The default value is push

    pipeline stringrequired

    Possible values: non-empty


    The pipeline used for building the container. It generally depends on the template (language, build tool, framework) the container is based on.

    enabled booleannullable


    A boolean flag indicating whether the trigger is active.
    If missing or set to false, the trigger will stay defined in the configuration file, but will not execute.

    branch stringrequired

    Possible values: non-empty


    The git branch(es) associated with the trigger. event occurrences on this branch will execute the trigger.
    You can specify either a single branch name or a glob pattern potentially matching multiple branches.

    type stringnullable


    The primary action executed by the trigger. For containers, only release is a valid value, representing the release build.

    version

    object

    nullable


    Specifies how to determine the next version of the container.
    You can provide either your own version pattern or a branch pattern. If no value is provided, the patch version for the last major and minor path will be incremented.

    pattern stringnullable


    The semver pattern used for versioning the container builds.
    Use pattern with wildcards to specify release version (? latest, + increment, i.e. 1.?.+ will increment patch version for the latest version where major path is 1).

    branchPattern stringnullable

    Possible values: non-empty


    The release version will be determined from the branch name following this pattern.
    ${MAJOR}, ${MINOR} can be used as placeholders. i.e release/${MAJOR}.${MINOR} for release/1.5 will creates 1.5.0, 1.5.1, etc builds versions.

  • ]

Loading...